var a1 = document.getElementById(1);
var a2 = document.getElementById(2);
var a3 = document.getElementById(3);
var a4 = document.getElementById(4);
var a5 = document.getElementById(5);
var a6 = document.getElementById(6);
var a7 = document.getElementById(7);
var a8 = document.getElementById(8);
var a9 = document.getElementById(9);

var a10 = document.getElementById(10);
var a11 = document.getElementById(11);
var a12 = document.getElementById(12);
var a13 = document.getElementById(13);
var a14 = document.getElementById(14);
var a15 = document.getElementById(15);
var a16 = document.getElementById(16);
var a17 = document.getElementById(17);
var a18 = document.getElementById(18);
var a19 = document.getElementById(19);
var a20 = document.getElementById(20);

var a21 = document.getElementById(21);
var a22 = document.getElementById(22);
var a23 = document.getElementById(23);
var a24 = document.getElementById(24);
var a25 = document.getElementById(25);
var a26 = document.getElementById(26);
var a27 = document.getElementById(27);
var a28 = document.getElementById(28);
var a29 = document.getElementById(29);

var a30 = document.getElementById(30);
var a31 = document.getElementById(31);
var a32 = document.getElementById(32);
var a33 = document.getElementById(33);
var a34 = document.getElementById(34);
var a35 = document.getElementById(35);
var a36 = document.getElementById(36);
var a37 = document.getElementById(37);
var a38 = document.getElementById(38);
var a39 = document.getElementById(39);
var a40 = document.getElementById(40);
var a41 = document.getElementById(41);
var a42 = document.getElementById(42);

function flashpath()
{
setTimeout(function(){a2.style.backgroundColor="#FFFFFF"; a8.style.backgroundColor="#FFFFFF"; a14.style.backgroundColor="#FFFFFF"; a20.style.backgroundColor="#FFFFFF"; a21.style.backgroundColor="#FFFFFF"; a22.style.backgroundColor="#FFFFFF"; a16.style.backgroundColor="#FFFFFF"; a10.style.backgroundColor="#FFFFFF"; a11.style.backgroundColor="#FFFFFF"; a12.style.backgroundColor="#FFFFFF"; a18.style.backgroundColor="#FFFFFF"; a24.style.backgroundColor="#FFFFFF"; a30.style.backgroundColor="#FFFFFF"; a36.style.backgroundColor="#FFFFFF"; a42.style.backgroundColor="#FFFFFF"},1500);

setTimeout(function(){a2.style.backgroundColor="#333333"; a8.style.backgroundColor="#333333"; a14.style.backgroundColor="#333333"; a20.style.backgroundColor="#333333"; a21.style.backgroundColor="#333333"; a22.style.backgroundColor="#333333"; a16.style.backgroundColor="#333333"; a10.style.backgroundColor="#333333"; a11.style.backgroundColor="#333333"; a12.style.backgroundColor="#333333"; a18.style.backgroundColor="#333333"; a24.style.backgroundColor="#333333"; a30.style.backgroundColor="#333333"; a36.style.backgroundColor="#333333"; a42.style.backgroundColor="#333333"},1900);
}

function showpath(num)
{
square = num
correctpath = document.getElementById(num);
if (square == 2)
{
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
x=8
}
else if (square == x)
{
document.getElementById(2).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
z=14
}
else if (square == z)
{
document.getElementById(8).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
w=20
}
else if (square == w)
{
document.getElementById(14).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
t=21
}
else if (square == t)
{
document.getElementById(20).style.backgroundImage="url('img/lavapath.right.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
m=22
}
else if (square == m)
{
document.getElementById(21).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
n=16
}
else if (square == n)
{
document.getElementById(22).style.backgroundImage="url('img/lavapath.left.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.bottom.png')";
p=10
}
else if (square == p)
{
document.getElementById(16).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.bottom.png')";
u=11
}
else if (square == u)
{
document.getElementById(10).style.backgroundImage="url('img/lavapath.rightdown.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
k=12
}
else if (square == k)
{
document.getElementById(11).style.backgroundImage="url('img/lavapath.side.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.left.png')";
b=18
}
else if (square == b)
{
document.getElementById(12).style.backgroundImage="url('img/lavapath.leftdown.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
y=24
}
else if (square == y)
{
document.getElementById(18).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
o=30
}
else if (square == o)
{
document.getElementById(24).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
c=36
}
else if (square == c)
{
document.getElementById(30).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
d=42
}
else if (square == d)
{
document.getElementById(36).style.backgroundImage="url('img/lavapath.open.png')";
correctpath.style.backgroundImage="url('img/lavapath.half.top.png')";
window.location.assign("level.complete12.html")
}
else
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
}

function gameover()
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
